import { writeNotify } from "pi_ucore/util/ecs";

export class ExplodeCount {
    totalCount: number = 0; // 爆炸格子总数量
    oldValue: number = 0; // 上次变化数量
    _value: number = 0; // 当前变化数量
    isEnd: boolean; // 是否爆炸结束
    rocketEndPos: number[][] = [];// 因为火箭被炸的格子

    @writeNotify
    set value(count: number) {
        this.oldValue = this._value;
        this._value = count;
        this.totalCount += count;
        console.log('爆炸格子数', this.oldValue, this._value, this.totalCount, this.isEnd);
    }

    get value() {
        return this._value;
    }

    public setRocketEndPos(_rocketEndPos: number[][]) {
        _rocketEndPos.forEach(v => {
            if (this.rocketEndPos.some(v1 => v1[0] === v[0] && v1[1] === v[1])) return
            this.rocketEndPos.push(v);
        })

    }
}