import { writeNotify } from "pi_ucore/util/ecs";

export class TimeStep {
    @writeNotify
    step = 1;// 当前步骤
    list: number[] = [];// 需要定时处理的节点id列表

    constructor() {
    }

    add(id: number) {
        this.list.push(id);
    }

    remove(id: number) {
        const index = this.list.find(v => v === id);
        if (index < 0) return
        this.list.splice(index, 1);
    }
}